Subject: bug#17473: 24.3.90; SIGPIPE during a call to process-send-string

From: Nicolas Richard <[email-masked]>
Date: Mon, 12 May 2014 12:11:17 +0200

Hi,

I was connected with emacsclient and I guess I closed the lid of my
laptop ? Anyway, a few hours later I found that emacs had crashed.
Here's the backtrace:

Program received signal SIGPIPE, Broken pipe.
0xb7ffd424 in __kernel_vsyscall ()
#0  0xb7ffd424 in __kernel_vsyscall ()
#1  0xb6e3fedb in write () at ../sysdeps/unix/syscall-template.S:81
#2  0x081a623b in emacs_full_write (fildes=12, buf=0xd893c7c "-emacs-pid 7212\n", nbyte=16, process_signals=true) at sysdep.c:2297
#3  0x081a62db in emacs_write_sig (fildes=12, buf=0xd893c7c, nbyte=16) at sysdep.c:2334
#4  0x082621da in send_process (proc=237393741, buf=0xd893c7c "-emacs-pid 7212\n", len=16, object=186346449) at process.c:5528
#5  0x08262509 in Fprocess_send_string (process=237393741, string=186346449) at process.c:5645
#6  0x082142ab in Ffuncall (nargs=3, args=0xbfffbeac) at eval.c:2818
#7  0x0825535e in exec_byte_code (bytestr=146836601, vector=146807773, maxdepth=20, args_template=2056, nargs=2, args=0xbfffc1d0) at bytecode.c:916
#8  0x08214a5d in funcall_lambda (fun=146807789, nargs=2, arg_vector=0xbfffc1c8) at eval.c:2983
#9  0x082144b9 in Ffuncall (nargs=3, args=0xbfffc1c4) at eval.c:2864
#10 0x0825535e in exec_byte_code (bytestr=146870801, vector=232760437, maxdepth=128, args_template=0, nargs=0, args=0xbfffc564) at bytecode.c:916
#11 0x08214a5d in funcall_lambda (fun=232760813, nargs=0, arg_vector=0xbfffc564) at eval.c:2983
#12 0x082144b9 in Ffuncall (nargs=1, args=0xbfffc560) at eval.c:2864
#13 0x08212e12 in eval_sub (form=264983646) at eval.c:2157
#14 0x082110cd in internal_lisp_condition_case (var=146467682, bodyform=264983646, handlers=264983598) at eval.c:1323
#15 0x0825622c in exec_byte_code (bytestr=146869465, vector=232760229, maxdepth=40, args_template=0, nargs=0, args=0xbfffca24) at bytecode.c:1162
#16 0x08214a5d in funcall_lambda (fun=232760397, nargs=0, arg_vector=0xbfffca24) at eval.c:2983
#17 0x082144b9 in Ffuncall (nargs=1, args=0xbfffca20) at eval.c:2864
#18 0x08212e12 in eval_sub (form=264983678) at eval.c:2157
#19 0x08210762 in internal_catch (tag=146467634, func=0x821294d <eval_sub>, arg=264983678) at eval.c:1118
#20 0x08255f3e in exec_byte_code (bytestr=146869625, vector=146819229, maxdepth=48, args_template=2056, nargs=2, args=0xbfffce8c) at bytecode.c:1097
#21 0x08214a5d in funcall_lambda (fun=146819277, nargs=2, arg_vector=0xbfffce84) at eval.c:2983
#22 0x082144b9 in Ffuncall (nargs=3, args=0xbfffce80) at eval.c:2864
#23 0x082137e8 in Fapply (nargs=2, args=0xbfffcf04) at eval.c:2354
#24 0x08213d1e in apply1 (fn=146467122, arg=264983710) at eval.c:2588
#25 0x08260efd in read_process_output_call (fun_and_args=264983702) at process.c:4964
#26 0x08211309 in internal_condition_case_1 (bfun=0x8260e70 <read_process_output_call>, arg=264983702, handlers=140216258, hfun=0x8260eff <read_process_output_error_handler>) at eval.c:1378
#27 0x082614c4 in read_and_dispose_of_process_output (p=0xe265748, chars=0xbfffcff0 "", nbytes=0, coding=0x928f8f8) at process.c:5177
#28 0x082611e6 in read_process_output (proc=237393741, channel=0) at process.c:5086
#29 0x0826089e in wait_reading_process_output (time_limit=0, nsecs=0, read_kbd=-1, do_display=true, wait_for_cell=140216258, wait_proc=0x0, just_wait_proc=0) at process.c:4808
#30 0x0818941f in kbd_buffer_get_event (kbp=0xbfffe470, used_mouse_menu=0xbfffe8e3, end_time=0x0) at keyboard.c:3905
#31 0x081852fb in read_event_from_main_queue (end_time=0x0, local_getcjmp=0xbfffe6d8, used_mouse_menu=0xbfffe8e3) at keyboard.c:2246
#32 0x08185553 in read_decoded_event_from_main_queue (end_time=0x0, local_getcjmp=0xbfffe6d8, prev_event=140216258, used_mouse_menu=0xbfffe8e3) at keyboard.c:2309
#33 0x08186d3e in read_char (commandflag=1, map=264986390, prev_event=140216258, used_mouse_menu=0xbfffe8e3, end_time=0x0) at keyboard.c:2895
#34 0x08193e8b in read_key_sequence (keybuf=0xbfffea00, bufsize=30, prompt=140216258, dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false)
    at keyboard.c:9087
#35 0x0818381c in command_loop_1 () at keyboard.c:1452
#36 0x082111e7 in internal_condition_case (bfun=0x818349b <command_loop_1>, handlers=140249338, hfun=0x8182cca <cmd_error>) at eval.c:1354
#37 0x08183145 in command_loop_2 (ignore=140216258) at keyboard.c:1177
#38 0x08210762 in internal_catch (tag=140247386, func=0x8183121 <command_loop_2>, arg=140216258) at eval.c:1118
#39 0x081830ff in command_loop () at keyboard.c:1156
#40 0x0818285e in recursive_edit_1 () at keyboard.c:777
#41 0x08182a1e in Frecursive_edit () at keyboard.c:848
#42 0x08180d5f in main (argc=2, argv=0xbfffed14) at emacs.c:1646

Lisp Backtrace:
"process-send-string" (0xbfffbeb0)
"server-send-string" (0xbfffc1c8)
0xddfa5e8 PVEC_COMPILED
"funcall" (0xbfffc560)
0xddfa448 PVEC_COMPILED
"funcall" (0xbfffca20)
"server-process-filter" (0xbfffce84)

Is there anything that can be done about this ? (I unfortunately closed
the gdb session.)

In GNU Emacs 24.3.90.9 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-05-07 on geodiff-mac3
Windowing system distributor `The X.Org Foundation', version 11.0.11304000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --with-x-toolkit=lucid --enable-checking 'CFLAGS= -O0 -g3''

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

-- 
Nico.